<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Markup/Javadoc/Javadoc.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../DocBook.html" >DocBook</a>.<a href="../../Markup.html" >Markup</a>.<a href="../Javadoc.html" >Javadoc</a>
</div><div class="class-name">class Javadoc

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html" target="detail">../Synopsis/Formatters/DocBook/Markup/Javadoc.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line26" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Javadoc-inheritance" src="Javadoc-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Javadoc-inheritance_map" />
<map name="Javadoc-inheritance_map"></map>
 <div class="doc">
    A formatter that formats comments similar to Javadoc.
    See `Javadoc Spec`_ for info.

    .. _Javadoc Spec: http://java.sun.com/j2se/1.5.0/docs/tooldocs/solaris/javadoc.html</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Javadoc/Block.html" >Block</a></div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.Block" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line33" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="summary">summary</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line39" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="block_tag">block_tag</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line40" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="inline_tag">inline_tag</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line41" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="inline_tag_split">inline_tag_split</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line42" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="xref">xref</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line43" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="tag_name">tag_name</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line45" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="arg_tags">arg_tags</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line59" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#__init__" >__init__</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.__init__" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line62" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#split" >split</a></span>(<span class="variable">self</span>, <span class="variable">doc</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.split" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line72" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Split a javadoc comment into description and blocks.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#extract_summary" >extract_summary</a></span>(<span class="variable">self</span>, <span class="variable">description</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.extract_summary" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line102" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a summary from the given description.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#format" >format</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line112" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format using javadoc markup.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_description">format_description</a>(<span class="variable">self</span>, <span class="variable">text</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_description" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line140" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#format_inlines" >format_inlines</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_inlines" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line145" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats inline tags in the text.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#format_params" >format_params</a></span>(<span class="variable">self</span>, <span class="variable">blocks</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_params" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line164" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_throws">format_throws</a>(<span class="variable">self</span>, <span class="variable">blocks</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_throws" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line183" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#format_variablelist" >format_variablelist</a></span>(<span class="variable">self</span>, <span class="variable">tag</span>, <span class="variable">blocks</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_variablelist" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line195" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Generate a variablelist for the given tag.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#format_varlistentry" >format_varlistentry</a></span>(<span class="variable">self</span>, <span class="variable">tag</span>, <span class="variable">blocks</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_varlistentry" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line211" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Generate a varlistentry for the given tag.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_inline_tag">format_inline_tag</a>(<span class="variable">self</span>, <span class="variable">tag</span>, <span class="variable">content</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_inline_tag" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line229" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.__init__" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line62" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Create regex objects for regexps</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="split">split</a>(<span class="variable">self</span>, <span class="variable">doc</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.split" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line72" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Split a javadoc comment into description and blocks.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="extract_summary">extract_summary</a>(<span class="variable">self</span>, <span class="variable">description</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.extract_summary" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line102" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a summary from the given description.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format">format</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line112" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format using javadoc markup.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_inlines">format_inlines</a>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_inlines" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line145" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats inline tags in the text.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_params">format_params</a>(<span class="variable">self</span>, <span class="variable">blocks</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_params" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line164" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats a list of &#40;param&#44; description&#41; tags</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_variablelist">format_variablelist</a>(<span class="variable">self</span>, <span class="variable">tag</span>, <span class="variable">blocks</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_variablelist" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line195" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Generate a variablelist for the given tag.
        Each matching block is formatted to a varlistentry&#44; with the value
        of its 'arg' member becoming the term.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_varlistentry">format_varlistentry</a>(<span class="variable">self</span>, <span class="variable">tag</span>, <span class="variable">blocks</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc.format_varlistentry" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line211" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
        Generate a varlistentry for the given tag.
        The tag value itself becomes the term. If multiple blocks match&#44;
        format them as an &#40;inlined&#41; simplelist&#44; otherwise as a para.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:07 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
